<?php

use App\Models\Point;

$category = 'SCA_SLEEP_STUDY_QUESTIONNAIRE';
$endPoint = 'upsertNoteSingleton';

$point = Point::getOrCreateOnlyTopLevelPointOfCategory($note, $category, $sessionKey, true);
$formFields = [
    'name' => 'name',
    'phone' => 'Telephone',
    'email_address' => 'email_address',
    'address' => 'address',
    'height' => 'Height (inches)',
    'weight' => 'Weight (lbs)',
    'hst_before' => 'Have you ever had a sleep study test before?',
    'yes_treatment' => 'When and what was your diagnosis and prescribed treatment?',
    'allergies_medication' => 'allergies_medication',
    'allergies_food' => 'allergies_food',
    'social_history' => 'social_history',
    'years_smoked' => 'years_smoked',
    'packs_per_day' => 'packs_per_day',
    'cigarettes_per_day' => 'cigarettes_per_day',
    'drinks_per_day' => 'Alcohol drinks_per_day',
    'drinks_per_week' => 'Alcohol drinks_per_week',
    'drinks_per_month' => 'Alcohol drinks_per_month',
    'current_medications' => 'Current Medications: Name, Dose & Frequency',
    'current_supplements' => 'current_supplements',
    'past_surgeries' => 'Past Surgeries (type and date)',
    'acid_reflux' => 'acid_reflux',
    'anxiety' => 'anxiety',
    'bruxism' => 'bruxism',
    'cognitive_difficulties' => 'cognitive_difficulties',
    'depression' => 'depression',
    'diabetes' => 'diabetes',
    'fatigue' => 'fatigue',
    'fatigue_time' => 'fatigue_time',
    'headaches' => 'headaches',
    'heart_disease' => 'heart_disease',
    'high_cholesterol' => 'high_cholesterol',
    'hypertension' => 'hypertension',
    'hypothyroidism' => 'hypothyroidism',
    'insomnia' => 'insomnia',
    'irritable_bowel_disorder' => 'irritable_bowel_disorder',
    'jaw_pain' => 'jaw_pain',
    'memory_concerns' => 'memory_concerns',
    'restless_leg_syndrome' => 'restless_leg_syndrome',
    'sexual_dysfunction' => 'sexual_dysfunction',
    'weight_gain' => 'weight_gain',
    'weight_gain_amount' => 'weight_gain_amount',
    'sitting_reading' => 'sitting_reading',
    'watching_tv' => 'watching_tv',
    'sitting_inactive_public' => 'sitting_inactive_public',
    'car_passenger' => 'As a passenger in a car for an hour without a break',
    'after_lunch' => 'Sitting quietly after lunch without drinking alcohol',
    'lying_down' => 'Lying down to rest in the afternoon when circumstances permit',
    'sitting_talking' => 'Sitting and talking to someone',
    'car_traffic' => 'In a car, while stopped for a few minutes in traffic',
    'total_epworth' => 'total_epworth score',
    'snore' => 'Do you snore?',
    'snore_loud' => 'Is your snoring loud?',
    'snore_in_every_body_position' => 'Do you snore in every body position?',
    'pauses_gaps' => 'Is your snoring interrupted by pauses, gasps or choking?',
    'sleeping_position' => 'Do you sleep on your back, side, stomach?',
    'sleep_not_refreshing' => 'Do you feel your sleep is not refreshing?',
    'freq_times_wakeup' => 'freq_times_wakeup',
    'memory_rate' => 'How would you rate your memory?',
    'trouble_falling_asleep' => 'Do you have trouble falling asleep?',
    'duration_sleep' => 'How long does it take you to fall asleep?',
    'wake_during_night' => 'How often do you wake up during the night?',
    'anxious_bother' => 'Are you bothered by feeling down, anxious?',
    'anxiety_attack' => 'anxiety_attack',
    'weekday_bedtime' => 'weekday_bedtime',
    'weekday_wakeup' => 'weekday_wakeup',
    'weekends_bedtime' => 'weekends_bedtime',
    'weekends_wakeup' => 'weekends_wakeup',
];
$contentData = [
    "name" => null,
];
if (!!@$point->data) {
    $contentData = $point->data;
}
?>

<table class="table table-sm table-bordered mb-2">
    <tbody>
    @foreach($formFields as $key=>$label)
    <tr>
        <td class="pl-1 align-middle bg-light width-250px">
            <div class="mb-1">{{ toHumanReadable($label) }}</div>
        </td>
        <td class="font-weight-bold">
            {{ @$contentData[$key] }}
        </td>
    </tr>
    @endforeach
    </tbody>
</table>
